%define oname   coffee-script-source

Name:       ruby-%{oname}
Version:    1.4.0
Release:    %mkrel 3
Summary:    The CoffeeScript Compiler
License:    MIT
Group:      Development/Ruby
URL:        http://jashkenas.github.com/coffee-script/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
CoffeeScript is a little language that compiles into JavaScript.
Underneath all of those embarrassing braces and semicolons,
JavaScript has always had a gorgeous object model at its heart.
CoffeeScript is an attempt to expose the good parts of JavaScript
in a simple way.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.4.0-3.mga3
+ Revision: 395778
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 380710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 312778
- new version 1.4.0

* Fri Jun 08 2012 shlomif <shlomif> 1.3.3-1.mga3
+ Revision: 257856
- SPEC cleanup
- New version - 1.3.3

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.1-1.mga1
+ Revision: 51108
- imported package ruby-coffee-script-source

